<template>
	<view class="container">
		<view class="list">	
		
			<view @click="detail(item.id,item.admin_id)" class="item" v-for="(item,index) in list" :key="index">
				<view class="top flex flex-y-center box-pack-between">
					<view class="name">{{item.name}} </view>
					<view class="flex-y-center">
						<view class="del" @click.stop="del(item.id)">删除</view>
					</view>
				</view>
				
				<view class="content flex flex-y-center box-pack-between"  hover-class="nav-hover">
					<view class="cell flex flex-y-center">
						<view class="title">配送距离起始值：</view>
						<view class="desc">{{item.start}}</view>
					</view>
				</view>
				
				<view class="content flex flex-y-center box-pack-between" hover-class="nav-hover">
					<view class="cell flex flex-y-center">
						<view class="title">配送距离结束值：</view>
						<view class="desc">{{item.end}}</view>
					</view>
					<view class="cell flex flex-y-center">
						<view class="title">配送费：</view>
						<view class="desc">{{item.price}}</view>
					</view>
				</view>
				
				<view class="content flex flex-y-center box-pack-between"  hover-class="nav-hover">
					<view class="cell flex flex-y-center">
						<view class="title">创建时间：</view>
						<view class="desc">{{item.create_time}}</view>
					</view>
				</view>
				
				<view class="content flex flex-y-center box-pack-between"  hover-class="nav-hover">
					<view class="cell flex flex-y-center">
						<view class="title">更新时间：</view>
						<view class="desc">{{item.update_time}}</view>
					</view>
				</view>
			</view>
			<view class="no-more">没有更多内容了~</view>
		</view>
		
		<view class="footer-bar">
			<view class="content flex flex-center">
				<navigator url="./distriRuleDetail" class="btn">+新增规则</navigator>
			</view>
		</view>
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				store_id: "",
				list: [],
				page: 1,
				is_bottom: false,
				type:2,
			}
		},

		onLoad(options) {
			this.type=options.type;
			this.store_id = options.store_id;
		},

		onShow() {
			this.getData()
		},

		onReachBottom() {
		},
		methods: {
			detail(id,admin_id){
				uni.navigateTo({
					url:`./distriRuleDetail?id=${id}`
				})
			},
			
			del(id) {
				uni.showModal({
					title: '提示',
					content: '是否要删除？',
					showCancel: true,
					cancelText: '取消',
					confirmText: '确定',
					success: res => {
						if (res.confirm) {
							this.request({
								url: 'Smdcshop/delivery_rule_delete',
								data: {
									id: id,
								},
							}).then(res => {
								console.log(res, "res")
								if (res.code === 200 || res.code === "200") {
									uni.showToast({
										title: "删除成功",
										icon: "none",
									})
									setTimeout(() => {
										this.getData()
									}, 2000)
								}
							}).catch((res) => {
								uni.showToast({
									title: res.message,
									icon: "none",
								})
							});
						}
					},
					fail: () => {},
					complete: () => {}
				});
			},
			
			getData() {
				this.request({
					url: 'Smdcshop/delivery_rule_index',
					data: {
						admin_id: uni.getStorageSync("admin_id"),
					}
				}).then(res => {
					if (res.code == 200 ) {
						this.list = res.data
					}
				})
			}
		}
	}
</script>

<style>
	@import url("./static/css/common.css");

	.del {
		height: 44rpx;
		line-height: 44rpx;
		padding: 0 15rpx;
		font-size: 24rpx;
		background-color: #FF5722;
		margin-right: 25rpx;
		color: #fff;
		border-radius: 4rpx;
	}

	page {
		background-color: #F4F5F7;
	}

	.list {
		padding: 30rpx 25rpx;
	}

	.list .item {
		border-radius: 8rpx;
		overflow: hidden;
		padding-left: 30rpx;
		border-left: 8rpx solid #247EFF;
		background-color: #fff;
		margin-bottom: 30rpx;
	}

	.list .item .top {
		height: 80rpx;
		border-bottom: 1rpx solid #f5f5f5;

	}

	.list .item .top .name {
		font-size: 30rpx;
		line-height: 80rpx;
		font-weight: bold;
	}

	.list .item .top .type-btn {
		zoom: 0.7;
		margin-right: 25rpx;
	}

	.list .item .content {
		padding: 20rpx 0 24rpx;
	}

	.list .item .content .cell {
		flex: none;
		/* width: 50%; */
		box-sizing: border-box;
		padding-right: 30rpx;
		font-size: 26rpx;
		line-height: 37rpx;
		color: #666;
	}

	.list .item .content .cell .title {
		color: #99A0AD;
	}
</style>
